View Issue Details

IDProjectCategoryView StatusLast Update
13948Bug reports[All Projects] Survey takingpublic2018-09-03 17:14
ReporterTonisOrmissonAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.14.x 
Target VersionFixed in Version 
Summary13948: Survey not opened in token langage if language not definrd in URL
Description

If survey has multiple languages and the tokens have non-default languages defined then opening a survey token url without defining the language ín the URL will open the survey in default language, not the language defined for the token

Steps To Reproduce

import attached archive

open
https://my-lime.com/index.php?r=survey/index&sid=956977&token=et3&newtest=Y

The token is for Estonian language and should not display question in english

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.14.2
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionna
Operating System (Server)na
Webserver software & versionna
PHP Versionna

Activities

TonisOrmisson

TonisOrmisson

2018-08-09 01:26

developer  

survey_archive_956977.lsa (4,514 bytes)
LouisGac

LouisGac

2018-08-20 16:27

manager   ~48829

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27837

c_schmitz

c_schmitz

2018-09-03 17:14

administrator   ~48943

Version 3.14.8+180829 released

Related Changesets

LimeSurvey: master 8dcdc8a6

2018-08-20 16:26:38

LouisGac

Details Diff
Fixed issue 13948: Survey not opened in token langage if language not definrd in URL
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-08-09 01:26 TonisOrmisson New Issue
2018-08-09 01:26 TonisOrmisson File Added: survey_archive_956977.lsa
2018-08-20 15:02 LouisGac Sticky Issue No => Yes
2018-08-20 16:27 LouisGac Changeset attached => LimeSurvey master 8dcdc8a6
2018-08-20 16:27 LouisGac Note Added: 48829
2018-08-20 16:27 LouisGac Assigned To => LouisGac
2018-08-20 16:27 LouisGac Resolution open => fixed
2018-08-24 12:11 LouisGac Sticky Issue Yes => No
2018-08-24 12:11 LouisGac Status new => resolved
2018-09-03 17:14 c_schmitz Note Added: 48943
2018-09-03 17:14 c_schmitz Status resolved => closed